<!--
  Generated template for the LoginPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar>
    
    <ion-title>Login</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>

  <ion-list>

    <ion-item>
      <ion-label floating>Username</ion-label>
      <ion-input type="text" [(ngModel)]="account.username" name="username"></ion-input>
    </ion-item>

    <ion-item>
      <ion-label floating>Password</ion-label>
      <ion-input type="password" [(ngModel)]="account.password" name="password"></ion-input>
    </ion-item>

    <div padding>
      <button ion-button color="primary" block (click)="doLogin()">LOGIN</button>
      <button ion-button color="secondary" block (click)="register()">Register</button>
    </div>
  </ion-list>

</ion-content>